## libcommons-collections3-java 3.2.1

=== debian/changelog ===
libcommons-collections3-java (3.2.1-7+deb8u1tanglu3.1) chromodoris-updates; urgency=medium

  * Pull from Debian stable for Tanglu because of security issue DSA 3403-1
  * Remaining changes:
    - fix typo in rules (dh_clean instead mh_clean)

 -- Thomas Funk <t.funk@web.de>  Mon, 30 Nov 2015 09:43:03 +0100

libcommons-collections3-java (3.2.1-7+deb8u1) jessie-security; urgency=medium

  * Backported a modification from commons-collections 3.2.2 disabling
    the deserialization of the functors classes unless the system property
    org.apache.commons.collections.enableUnsafeSerialization is set to true.
    This fixes a vulnerability in unsafe applications deserializing objects
    from untrusted sources without sanitizing the input data.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Nov 2015 12:18:15 +0100

libcommons-collections3-java (3.2.1-7) unstable; urgency=medium

  * Renamed the MultiMap.remove(Object, Object) method to removeMapping()
    and MultiKeyMap.remove(Object, Object) to removeMultiKey(). This avoids
    a conflict with the new Map.remove(Object, Object) method introduced in
    Java 8.
  * The API changes break libjson-java (<= 2.3-2)
    and jenkins-json (<= 2.4-jenkins-3-1)
  * Standards-Version updated to 3.9.5 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Apr 2014 14:32:20 +0200

libcommons-collections3-java (3.2.1-6) unstable; urgency=low

  * debian/control:
    - Build-Depends on debhelper >= 9
    - Use canonical URLs for the Vcs-* fields
    - Updated Standards-Version to 3.9.4 (no changes)
    - Improved the description of the package
  * debian/rules: Improved the clean target
  * The Javadoc is now linked to the default JDK documentation
  * Added a description to the patch OSGI_Manifest.diff

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Sep 2013 15:47:25 +0200

libcommons-collections3-java (3.2.1-5) unstable; urgency=low

  * Team upload.
  * Remove Arnaud from Uploaders list.
  * Remove Java runtime Depends.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sun, 07 Aug 2011 01:47:37 +0200

libcommons-collections3-java (3.2.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 11:59:07 +0200

libcommons-collections3-java (3.2.1-3) experimental; urgency=low

  [ Ludovic Claude ]
  * Change section to java, bump up Standards-Version to 3.8.1
  * Add the Maven POM to the package,
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Patch src/conf/MANIFEST.MF: add the OSGi metadata generated by the Maven 
    build, use quilt
  * Fix Lintian warning: Remove full text of Apache license

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.
  * Set java source version to 1.4.

  [ Emmanuel Bourg ]
  * Update of the URLs
  * Rename Jakarta Commons to Apache Commons

  [ Torsten Werner ]
  * Convert debian/copyright to UTF-8.
  * Upload to experimental.

 -- Torsten Werner <twerner@debian.org>  Sun, 12 Jul 2009 23:01:30 +0200

libcommons-collections3-java (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Varun Hiremath <varun@debian.org>  Wed, 07 May 2008 00:21:02 +0530

libcommons-collections3-java (3.2-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * Add a watch file.
  * debian/control:
    + Add Xs-Vcs-Browser, Xs-Vcs-Svn.
    + Add Homepage field.

  [ Varun Hiremath ]
  * New upstream release
  * debian/control:
    + Build-Depends on debhelper >= 6
    + Bump up Standards-Version to 3.7.3
    + Remove Wolfgang Baer from Uploaders and add myself
  * debian/compat: Bump to 6
  * Add debian/orig-tar.sh to create orig.tar.gz
  * Remove debian/dirs file - not required
  * Remove debian/libcommons-collections3-java.links and create links from
    debian/rules to avoid hard coding the version in links file
  * Add debian/README.Debian-source
  * debian/rules:
    + clean up unused variables
    + create symlinks for the jars
    + implement get-orig-source target
  * Add patches/disable_links.diff to disable external links in build.xml
    while creating javadocs
  * debian/copyright: add copyright notice

 -- Varun Hiremath <varun@debian.org>  Thu, 21 Feb 2008 13:41:10 +0530

libcommons-collections3-java (3.1a-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: rename first Build-Depends-Indep to Build-Depends and
    add junit to Build-Depends-Indep to fix FTBFS. (Closes: #384357)

 -- Arjan Oosting <arjanoosting@home.nl>  Fri,  8 Sep 2006 00:05:17 +0200

libcommons-collections3-java (3.1a-3) unstable; urgency=low

  * Added myself as an uploader
  * Build with java-gcj-compat-dev
  * Updated Standards-Version; put debhelper and cdbs in Build-Depends
  * Added tf.jar to the build (closes: #268223).

 -- Arnaud Vandyck <avdyk@debian.org>  Tue,  1 Aug 2006 16:18:53 +0200

libcommons-collections3-java (3.1a-2) unstable; urgency=low

  * Removed explicit usage of jikes build compiler property
    for kaffe jikes -> ecj transition

 -- Wolfgang Baer <WBaer@gmx.de>  Fri,  6 Jan 2006 19:53:47 +0100

libcommons-collections3-java (3.1a-1) unstable; urgency=low
  
  * Moved package to pkg-java-maintainers
  * Cleaned upstream tarball which contained the debian
    directory and all file after a build - added an 'a'
    to the upstream version to force an orig.tar.gz upgrade
  * Cleaned debian/rules
  * Bumped compat level to 4
  * License is actually Apache 2 - updated copyright
  * libant1.6-java to ant transition
  * Build apidocs and register with doc-base
  * Drop gjdoc patch - not needed anymore
  * Added myself to uploaders
  * Standards-Version 3.6.2 (no changes)  

 -- Wolfgang Baer <WBaer@gmx.de>  Sun, 25 Sep 2005 02:44:13 +0200

libcommons-collections3-java (3.1-2) unstable; urgency=low

  * fixed FTBFS. (closes: #262271)


