=== debian/control ===
Source: libcommons-collections3-java
Section: java
Priority: optional
Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 9), cdbs, default-jdk
Build-Depends-Indep: default-jdk-doc, maven-repo-helper, ant, ant-optional, junit
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libcommons-collections3-java
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libcommons-collections3-java
Homepage: http://commons.apache.org/collections/

Package: libcommons-collections3-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libcommons-collections3-java-doc
Breaks: libjson-java (<= 2.3-2), jenkins-json (<= 2.4-jenkins-3-1)
Description: Apache Commons Collections - Extended Collections API for Java
 The Java Collections Framework was a major addition in JDK 1.2. It added many
 powerful data structures that accelerate development of most significant Java
 applications. Since that time it has become the recognised standard for
 collection handling in Java.
 .
 Commons Collections seek to build upon the JDK classes by providing new
 interfaces, implementations and utilities. There are many features, including:
 .
  * Bag interface for collections that have a number of copies of each object
  * BidiMap interface for maps that can be looked up from value to key as well
    and key to value
  * MapIterator interface to provide simple and quick iteration over maps
  * Transforming decorators that alter each object as it is added to the
    collection
  * Composite collections that make multiple collections look like one
  * Ordered maps and sets that retain the order elements are added in,
    including an LRU based map
  * Reference map that allows keys and/or values to be garbage collected under
    close control
  * Many comparator implementations
  * Many iterator implementations
  * Adapter classes from array and enumerations to collections
  * Utilities to test or create typical set-theory properties of collections
    such as union, intersection, and closure

Package: libcommons-collections3-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for libcommons-collections3-java
 Javadocs for libcommons-collections3-java which is a Java
 collection framework.
