=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for libcommons-collections3-java (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := $(ANT_HOME)/lib/ant-junit.jar junit
DEB_ANT_BUILD_TARGET := jar tf.jar javadoc
LAST_MODIFIED        := $(shell date +%s%N | cut -c -13)
DEB_ANT_ARGS         := -Dlastmodified=$(LAST_MODIFIED)
ANT_OPTS = -Dant.build.javac.source=1.4

clean::
	dh_clean
	-rm -f debian/files
	-rm -f TEST-*
	-rm -rf debian/tmp

install/libcommons-collections3-java::
	mh_installpoms -p$(PACKAGE)
	mh_installjar -p$(PACKAGE) -l --usj-name=commons-collections3 pom.xml build/commons-collections-$(VERSION).jar
	install -D -m644 $(DEB_SRCDIR)/build/commons-collections-testframework-[0-9]*.jar \
	  debian/libcommons-collections3-java/usr/share/java/commons-collections3-testframework-$(DEB_UPSTREAM_VERSION).jar
	dh_link /usr/share/java//commons-collections3-testframework-$(DEB_UPSTREAM_VERSION).jar \
	  /usr/share/java//commons-collections3-testframework.jar

get-orig-source:
	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
