## libcommons-collections3-java 3.2.2

=== debian/changelog ===
libcommons-collections3-java (3.2.2-3) unstable; urgency=medium

  * Team upload
  [ Vladimir Petko ]
  * Use java_compat_level variable provided by java-common to set Java
    release level (Closes: #1057517).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + libcommons-collections3-java: Drop conflict with removed package
      libjson-java (<= 2.3-2) in Breaks.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Binary packages are now Multi-Arch: foreign

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 25 Jan 2024 16:05:04 +1300

libcommons-collections3-java (3.2.2-2) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #912515)
  * No longer build and install the test framework (never used in Debian)
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 06 Nov 2018 17:27:14 +0100

libcommons-collections3-java (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 Nov 2015 00:45:28 +0100

libcommons-collections3-java (3.2.1-8) unstable; urgency=medium

  * Removed the Bnd-LastModified field from the manifest
    to make the build reproducible.
  * Standards-Version updated to 3.9.6 (no changes)
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Mar 2015 11:57:10 +0100
