=== debian/control ===
--- 
+++ 
@@ -1,21 +1,30 @@
 Source: libcommons-collections3-java
 Section: java
 Priority: optional
-Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Varun Hiremath <varun@debian.org>, Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 9), cdbs, default-jdk
-Build-Depends-Indep: default-jdk-doc, maven-repo-helper, ant, ant-optional, junit
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libcommons-collections3-java
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libcommons-collections3-java
-Homepage: http://commons.apache.org/collections/
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Varun Hiremath <varun@debian.org>,
+ Emmanuel Bourg <ebourg@apache.org>
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper-compat (= 13),
+ default-jdk,
+ default-jdk-doc,
+ junit,
+ maven-repo-helper
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/libcommons-collections3-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libcommons-collections3-java
+Homepage: https://commons.apache.org/collections/
 
 Package: libcommons-collections3-java
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libcommons-collections3-java-doc
-Breaks: libjson-java (<= 2.3-2), jenkins-json (<= 2.4-jenkins-3-1)
+Breaks:
+ jenkins-json (<= 2.4-jenkins-3-1)
+Multi-Arch: foreign
 Description: Apache Commons Collections - Extended Collections API for Java
  The Java Collections Framework was a major addition in JDK 1.2. It added many
  powerful data structures that accelerate development of most significant Java
@@ -46,6 +55,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Documentation for libcommons-collections3-java
  Javadocs for libcommons-collections3-java which is a Java
  collection framework.
