=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/java/java_defaults.mk

LAST_MODIFIED        := $(shell date +%s%N | cut -c -13)

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- jar javadoc -Dlastmodified=$(LAST_MODIFIED) -Djavac.release=$(java_compat_level)

override_dh_auto_install:
	mh_installpoms -plibcommons-collections3-java
	mh_installjar -plibcommons-collections3-java -l --usj-name=commons-collections3 pom.xml build/commons-collections-$(DEB_VERSION_UPSTREAM).jar
