=== debian/watch ===
version=4
http://www.apache.org/dist/commons/collections/source/ commons-collections-([\d\.]+)-src.tar.gz debian debian/orig-tar.sh
